#include <bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int N, M;
    cin >> N >> M;
    int br = 2 * (M + N) - 4;
    for(int i = 1; i <= N - 2; i++){
        if(i % 2 != 0)
            br += M - 4;
        else
            br += M - 3;
    }
    cout << br;

}